- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
efl::eolian::eolian_type Struct Reference

## Public Types
enum | category_type { unknown_, simple_, complex_, callback_ }

## Public Member Functions
| eolian_type (std::string native_, category_type category_, bool is_own_, std::string binding_, includes_container_type includes_)
| eolian_type (std::string native_, category_type category_, includes_container_type const &includes_)

## Data Fields
std::string | native
category_type | category
bool | is_own
std::string | binding
includes_container_type | includes